@Ifndef lib_KB
  @Include "lib_KB.inc"
@Endif

@Ifndef KANJI2
@Define KANJI2 KANJI2

function KKANJI2(ACC_11,ACC_12)
{
GetCFLD();

ACC_12 = 0;

if(isALL(CFLD, " "))
  return;
for(ACC_11 = FLNTH - 2 ; ACC_11 >= 0 ; ACC_11=ACC_11-2)
{
  if(KMID(CFLD, 1, 2, ACC_11) != "　")
    break;
}
for(; ACC_11 >= 0 ; ACC_11=ACC_11-2)
{
  if(KMID(CFLD, 1, 2, ACC_11) == "　")
    ACC_12++;
}

if(KMID(CFLD, 1, 2) == "　")
    MsgBox("姓名間1SPです!!", "KKANJI2_1");
else if(ACC_12 > 1)
    MsgBox("姓名間1SPです!![" ACC_12 "]", "KKANJI2_2");
else if(ACC_12 == 0)
    MsgBox("姓名間1SP必須です!!", "KKANJI2");
else
  return;

BKSP_FLD();
return;
}

@Endif
